<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Latihan DOM</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <script defer src="https://use.fontawesome.com/releases/v5.8.1/js/all.js" 
    integrity="sha384-g5uSoOSBd7KkhAMlnQILrecXvzst9TdC09/VM+pjDTCM+1il8RHz5fKANTFFb+gQ" crossorigin="anonymous"></script>
</head>
<body>
    <div class="container">
        <nav class="navbar navbar-light bg-light">
            <a class="navbar-brand">Mini Ecommerce</a>
            <form class="form-inline" id="formItem">
                <input class="form-control mr-sm-2" type="search" placeholder="Search"  id="keyword" aria-label="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit" id="searchItem">Search</button>
            </form>
            <button class="btn btn-primary" id="cart"><i class="fas fa-shopping-cart"></i>(0)</button>
        </nav>
        <div class="row">
            <div class="row col-md-12 mt-2"  id="listBarang" >
                
            </div>
        </div>
    </div>
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
        <script>
            var items = [
                ['001', 'Keyboard Logitek', 60000, 'Keyboard yang mantap untuk kantoran', 'logitek.jpg'], 
                ['002', 'Keyboard MSI', 300000, 'Keyboard gaming MSI mekanik', 'msi.jpg'],
                ['003', 'Mouse Genius', 50000, 'Mouse Genius biar lebih pinter', 'genius.jpeg'],
                ['004', 'Mouse Jerry', 30000, 'Mouse yang disukai kucing', 'jerry.jpg']
            ]
            var list_dom = document.getElementById('listBarang')
            var count = 0

            function addCart() {
                count = count + 1
                cart.innerHTML = `
                <i class="fas fa-shopping-cart"></i>(${count})
                `
            }

            function printItems(array) {
                var temp = ""

                for (let i = 0; i < array.length; i++) {
                    var item = array[i]
                    temp += `
                        <div class ="col-4 mt-2"> 
                            <div class="card" style="width: 18rem;">
                                <img src="./img/${item[4]}" class="card-img-top" height="200px" width="200px" alt="${item[1]}">
                                <div class="card-body">
                                    <h5 class="card-title" id="itemName">${item[1]}</h5>
                                    <p class="card-text" id="itemDesc">${item[3]}</p>
                                    <p class="card-text">Rp ${item[2]}</p>
                                    <a href="#" class="btn btn-primary" id="addCart${i}">Tambahkan ke keranjang</a>
                                </div>
                            </div>
                        </div>
                    `
                    
                }

                list_dom.innerHTML = temp

                // ADD CART
                for (let h = 0; h < items.length; h++) {
                    var btnCart = document.getElementById(`addCart${h}`)
                    btnCart.addEventListener('click', function (event) {
                        addCart()
                    })
                }
            }
            
            printItems(items)

            function filter(kataKunci) {
                var filteredItems = []
                for (let j = 0; j < items.length; j++) {
                    var item = items[j]
                    var nameItem = item[1]
                    var isMatch = nameItem.toLowerCase().includes(kataKunci.toLowerCase())
                    if(isMatch == true) {
                        filteredItems.push(item)
                    }
                }
                return filteredItems
            }

            var formSearch = document.getElementById("formItem")
            formSearch.addEventListener("submit", function (event) {
                event.preventDefault()
                var keyword = document.getElementById("keyword").value
                var filtered = filter(keyword)
                printItems(filtered)
            })

            var inputSearch = document.getElementById("keyword")
            inputSearch.addEventListener("keyup", function (event) {
                var value = event.target.value

                var filterWithKeyup = filter(value)
                printItems(filterWithKeyup)
            })


            
            
        </script>
</body>
</html>